nautilus samba sharing services failed to install

Bug #1437150 reported by David González on 2015-03-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
Undecided
Unassigned
apturl (Ubuntu)
Undecided
Unassigned

Bug Description

Whenever I open Files (nautilus), right click the Public folder and press "Local Network Share" nautilus fails to install the service.

This is the terminal output:

(nautilus:1530): GLib-GObject-WARNING **: The property GtkImage:stock is deprecated and shouldn't be used anymore. It will be removed in a future version.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
/usr/lib/python3/dist-packages/AptUrl/gtk/GtkUI.py:32: Warning: The property GtkImage:stock is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.dia_xml.add_from_file(APTURL_UI_FILE)
/usr/lib/python3/dist-packages/AptUrl/gtk/GtkUI.py:32: Warning: The property GtkButton:use-stock is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.dia_xml.add_from_file(APTURL_UI_FILE)
/usr/lib/python3/dist-packages/AptUrl/gtk/GtkUI.py:32: Warning: The property GtkSettings:gtk-button-images is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.dia_xml.add_from_file(APTURL_UI_FILE)
/usr/lib/python3/dist-packages/AptUrl/gtk/GtkUI.py:32: Warning: The property GtkAlignment:xscale is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.dia_xml.add_from_file(APTURL_UI_FILE)
/usr/lib/python3/dist-packages/AptUrl/gtk/GtkUI.py:32: Warning: The property GtkAlignment:yscale is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.dia_xml.add_from_file(APTURL_UI_FILE)
Traceback (most recent call last):
  File "/usr/bin/apturl-gtk", line 47, in <module>
    sys.exit(apturl.main())
  File "/usr/lib/python3/dist-packages/AptUrl/AptUrl.py", line 221, in main
    if not ui.askInstallPackage(apturl.package, sum, desc, homepage):
  File "/usr/lib/python3/dist-packages/AptUrl/gtk/GtkUI.py", line 167, in askInstallPackage
    dia.set_icon(Gtk.IconTheme.get_default().load_icon('deb', 16, False))
GLib.Error: gtk-icon-theme-error-quark: Icon 'deb' not present in theme (0)

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: apturl 0.5.2ubuntu5
ProcVersionSignature: Ubuntu 3.19.0-10.10-generic 3.19.2
Uname: Linux 3.19.0-10-generic x86_64
ApportVersion: 2.16.2-0ubuntu4
Architecture: amd64
CurrentDesktop: GNOME
Date: Fri Mar 27 00:59:18 2015
InstallationDate: Installed on 2015-03-27 (0 days ago)
InstallationMedia: Ubuntu-GNOME 15.04 "Vivid Vervet" - Beta amd64 (20150326)
SourcePackage: apturl
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

David González (allenskd) wrote :
Tim Lunn (darkxst) on 2015-03-27
Changed in ubuntu-gnome:
milestone: none → vivid
Tim Lunn (darkxst) wrote :

aputurl is using legacy icon names, these no longer exist in adwaita-icon-theme and need to be updated to the generic icon names (which the old icons were just symlinks to anyway)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apturl - 0.5.2ubuntu6

---------------
apturl (0.5.2ubuntu6) vivid; urgency=medium

  [ Tim Lunn ]
  * Don't use legacy icon names, these are no longer available in
    adwaita-icon-theme. (LP: #1437150)

  [ Iain Lane ]
  * For dialog-question, go back to using the stock icon name as Humanity
    doesn't yet have an icon with the new name.
 -- Tim Lunn <email address hidden> Thu, 02 Apr 2015 13:53:05 +0100

Changed in apturl (Ubuntu):
status: New → Fix Released
Tim Lunn (darkxst) on 2015-04-02
Changed in ubuntu-gnome:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers